## org.gnu.gtk
Class AttachOptions

    java.lang.Object
      org.gnu.glib.Flags
          org.gnu.gtk.AttachOptions

public class AttachOptions
extends org.gnu.glib.Flags

Denotes the expansion properties that a widget will have when it (or it's parent) is resized.

EXPAND
  The widget should expand to take up any extra space in its container that has been allocated.
SHRINK
  The widget should shrink as and when possible.
FILL
  The widget should fill the space allocated to it.

See Also:
  `Table`

Field Summary
`static AttachOptions` `EXPAND`
`static AttachOptions` `FILL`
`static AttachOptions` `SHRINK`

Method Summary
`AttachOptions` `and(AttachOptions other)`
`static AttachOptions` `intern(int value)`
`AttachOptions` `or(AttachOptions other)`
`boolean` `test(AttachOptions other)`
`AttachOptions` `xor(AttachOptions other)`

Methods inherited from class org.gnu.glib.Flags
`equals, getValue, hashCode`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EXPAND

    public static final AttachOptions EXPAND

### SHRINK

    public static final AttachOptions SHRINK

### FILL

    public static final AttachOptions FILL

Method Detail

### intern

    public static AttachOptions intern(int value)

### or

    public AttachOptions or(AttachOptions other)

### and

    public AttachOptions and(AttachOptions other)

### xor

    public AttachOptions xor(AttachOptions other)

### test

    public boolean test(AttachOptions other)